---
- name: Dependencies installed
  community.general.pkgng:
    name: immortal
    state: latest

- name: Immortaldir enabled
  shell: sysrc immortaldir_enable="YES"
  notify: Immortal restarted

- name: Ensure immortaldir is running
  service:
    name: immortaldir
    state: started
